<?php
namespace Service;

class MessagesService {
    
    public function __construct(){

	}

	private $messages = array(
        1  => 'A versão do aplicativo está diferente da versão do servidor. <br> Versão do aplicativo: ',
        2  => '<br> Versão do servidor: ',
        3  => 'Selecione o cliente.',
        4  => 'Informe o login.',
        5  => 'Informe a senha.',
        6  => 'Login e/ou senha inválidos.',
        7  => 'Consumidor não encontrado.',
        8  => 'Não foi possível deletar esta restrição pois existem produtos restritos nesta loja. Verifique o cadastro de restrição alimentar.',
        9  => 'Serviço de pagamento não encontrado.',
        10 => 'Nome do responsável não cadastrado.',
        11 => 'CPF do responsável não cadastrado.',
        12 => 'Cadastro de endereço incompleto.',
        13 => 'Recuperação de senha',
        14 => 'No Cash',
        15 => 'Este é seu primeiro acesso, sua senha deve ser alterada.',
        16 => 'Senha alterada com sucesso.',
        17 => 'Não existem formas de pagamento cadastradas.',
        18 => 'Mascara não encontrada.',
        19 => 'Mensagem Fale Conosco',
        20 => 'Email não cadastrado.',
        21 => 'Encaminhamos um email para que você possa alterar sua senha antiga por uma nova.',
        22 => 'Link inválido',
        23 => 'Segue endereço do boleto da recarga do cartão.',
        24 => 'Comprovante de recarga do cartão',
        25 => 'Não foi possível enviar o comprovante por email.',
        26 => 'Não foi possível enviar o boleto por email.',
        27 => 'Boleto da recarga do cartão',
        28 => 'Não foi possível gerar o boleto: ',
        29 => 'Email do responsável não cadastrado.',
        30 => 'Telefone do responsável não cadastrado.',
        31 => 'Servidor No Cash',
        32 => 'Ocorreu um ao carregar o cartão. Favor contacar o administrador do sistema. Detalhes: <br>'
    );

	public function getMessage($id) {
        return $this->messages[$id];
    }
    
    public function writeLog($message){
        try {
            $date = date("d-m-Y H:i:s");
            echo $date." ".$message;
            $folder = "/var/www/logs/nocash/marefeicoes/".date("Y")."/".date("m")."/".date("d");
            $currentFile = "$folder/auto_recharge_log.txt";
            if(!file_exists($folder)) {
                mkdir($folder, 0775, true);
            }
            file_put_contents($currentFile, $date." ".$message."\n", FILE_APPEND);
        } catch (\Exception $e){
            echo "Erro ao criar o log: " . $e->getMessage();
        }
    }

}