function BlockCardService(Query, CardStatusRepository, ToggleBlock) {

    this.getCardStatus = function(CDCONSUMIDOR, CDCLIENTE){
        var query = Query.build()
                        .where('CDCONSUMIDOR').equals(CDCONSUMIDOR)
                        .where('CDCLIENTE').equals(CDCLIENTE);
        return CardStatusRepository.download(query);
    };

    this.toggleBlock = function(IDSITCONSUMI, CDCLIENTE, CDCONSUMIDOR){
        var query = Query.build()
                        .where('IDSITCONSUMI').equals(IDSITCONSUMI)
                        .where('CDCLIENTE').equals(CDCLIENTE)
                        .where('CDCONSUMIDOR').equals(CDCONSUMIDOR);
        return ToggleBlock.download(query);
    };

};

Configuration(function(ContextRegister) {
    ContextRegister.register('BlockCardService', BlockCardService);
});