function ProfileService(Query, ConsumerDetailsRepository, FieldsRepository, SaveDetailsRepository, ChangePasswordRepository, EnableOffRepository){

    var self = this;

    var openEdit = false;

    this.setOpenEdit = function(data){
        self.openEdit = data;
    };

    this.getOpenEdit = function(){
        return self.openEdit;
    }

    var initProfile = false;

    this.setInitProfile = function(){
        self.initProfile = true;
    };

    this.getInitProfile = function(){
        return self.initProfile;
    };

    this.getConsumerDetails = function(CDCLIENTE, CDCONSUMIDOR, CDFILIAL){
        var query = Query.build()
                        .where('CDCLIENTE').equals(CDCLIENTE)
                        .where('CDCONSUMIDOR').equals(CDCONSUMIDOR)
                        .where('CDFILIAL').equals(CDFILIAL);
        return ConsumerDetailsRepository.download(query);
    };

    this.getFields4Consumer = function(CDFILIAL, SGESTADO, CDMUNICIPIO){
        var query = Query.build()
                        .where('CDFILIAL').equals(CDFILIAL)
                        .where('SGESTADO').equals(SGESTADO)
                        .where('CDMUNICIPIO').equals(CDMUNICIPIO);
        return FieldsRepository.download(query);
    };

    this.saveConsumerDetails = function(consumerDetails, openEdit = false){
        consumerDetails.ISFISTUPDATE = openEdit;
        return SaveDetailsRepository.saveInServer([consumerDetails]);
    };

    this.changePassword = function(CDCLIENTE, NMLOGINCONS, currentPassword, newPassword, CDFILIAL){
        var query = Query.build()
                        .where('CDCLIENTE').equals(CDCLIENTE)
                        .where('NMLOGINCONS').equals(NMLOGINCONS)
                        .where('currentPassword').equals(currentPassword)
                        .where('newPassword').equals(newPassword)
                        .where('CDFILIAL').equals(CDFILIAL);
        return ChangePasswordRepository.download(query);
    };

    this.enableOffOptions = function(CDFILIAL, CDTIPOCONS){
        var query = Query.build()
                    .where('CDFILIAL').equals(CDFILIAL)
                    .where('CDTIPOCONS').equals(CDTIPOCONS);
        return EnableOffRepository.download(query);
    };

};

Configuration(function(ContextRegister){
    ContextRegister.register('ProfileService', ProfileService);
});